<!--
  -    Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:f="http://java.sun.com/jsf/core" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:decorate template="/questionnaire/auditMessagesTable.xhtml">
        <ui:define name="moreColumns">
            <rich:column>
                <f:facet name="header">#{messages['net.ihe.gazelle.questionnaire.Implemented_2']}</f:facet>
                <h:selectOneMenu id="selectImplemented" value="#{msg.producedBySystem}" styleClass="form-control">
                    <f:selectItems value="#{managedBean.getAnswers()}"/>
                    <a4j:ajax event="change" for="selectImplemented"
                              render="auditMessageTable,questDetails,gazelle-messages, :editQuestionnaireStatusForm"
                              listener="#{atnaQuestionnaireEditor.saveAuditedEvents()}"/>
                </h:selectOneMenu>
            </rich:column>
            <rich:column>
                <f:facet name="header">#{messages['net.ihe.gazelle.questionnaire.SampleFile']}</f:facet>
                <s:div id="sampleFileDiv">
                    <h:commandLink id="display" action="#{auditMessageIOManager.viewAuditMessage(msg)}"
                                   rendered="#{not empty msg.fileLocation}" target="_blank">
                        <h:outputText value="#{msg.getFileName()}"/>
                    </h:commandLink>
                    <ui:include src="/fineupload.xhtml">
                        <ui:param name="id" value="auditMessageUpload#{msg.id}"/>
                        <ui:param name="idToRerender" value="auditMessageTable,questDetails,gazelle-messages, :editQuestionnaireStatusForm"/>
                        <ui:param name="beanName" value="auditMessageIOManager"/>
                        <ui:param name="multiple" value="false"/>
                        <ui:param name="param" value="#{msg.id}"/>
                        <ui:param name="extensions" value="xml"/>
                    </ui:include>
                </s:div>
            </rich:column>
            <rich:column>
                <f:facet name="header">#{messages['net.ihe.gazelle.questionnaire.Comment']}</f:facet>
                <h:outputText value="#{messages['net.ihe.gazelle.questionnaire.Validator']} #{msg.validatorOid}" rendered="#{not empty msg.validatorOid}"/>
                <div class="gzl-never-wrap form-inline">
                    <h:inputTextarea value="#{msg.comment}" rows="2" cols="20" styleClass="form-control"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.questionnaire.Save']}" action="#{atnaQuestionnaireEditor.saveAuditedEvents()}"
                                       render="auditMessageTable,questDetails,gazelle-messages"
                                       styleClass="gzl-btn-blue btn-xs"/>
                </div>
            </rich:column>
        </ui:define>
    </s:decorate>
</ui:composition>
